// Imports
import express from "express";

// Routes
import results from "../routes/results-route.js";
import alerting from "../routes/alerting-route.js";
import react from "../routes/react-route.js";
import tests from "../routes/tests-route.js";
import jobs from "../routes/jobs-route.js";

const app = express();
app.all("/", (req, res) => res.redirect("/qualiteer"));

// Middlewares

// Routes
app.use(react); // Static Build Route
app.use("/api/results", results);
app.use("/api/alerting", alerting);
app.use("/api/tests", tests);
app.use("/api/jobs", jobs);

export default app;
